summaryrefslogtreecommitdiff
path: root/libre/filesystem/filesystem.install
diff options
context:
space:
mode:
authorNicolás Reynolds <apoyosis@correo.inta.gob.ar>2012-04-01 22:15:12 -0300
committerNicolás Reynolds <apoyosis@correo.inta.gob.ar>2012-04-01 22:15:12 -0300
commitddadffaeb49e3117915c90bb5c540dd485725ad2 (patch)
tree1f8b71069469815b54ab9e643db9099d647201d7 /libre/filesystem/filesystem.install
parent1d965b709dd65cef2159fa7bc3b566d1c47fbbe0 (diff)
parenta1ad226cb3556f648d9313dbcaf2ea0a4b185935 (diff)
downloadabslibre-ddadffaeb49e3117915c90bb5c540dd485725ad2.tar.gz
abslibre-ddadffaeb49e3117915c90bb5c540dd485725ad2.tar.bz2
abslibre-ddadffaeb49e3117915c90bb5c540dd485725ad2.zip
Merge branch 'master' of ssh://gparabola/abslibre
Diffstat (limited to 'libre/filesystem/filesystem.install')
-rw-r--r--libre/filesystem/filesystem.install26
1 files changed, 13 insertions, 13 deletions
diff --git a/libre/filesystem/filesystem.install b/libre/filesystem/filesystem.install
index 0ecc27e65..38d21a85b 100644
--- a/libre/filesystem/filesystem.install
+++ b/libre/filesystem/filesystem.install
@@ -1,24 +1,24 @@
post_install() {
[ -f var/log/lastlog ] || : >var/log/lastlog
[ -f var/log/wtmp ] || : >var/log/wtmp
- [ -f var/log/btmp ] || (: >var/log/btmp && bin/chmod 600 var/log/btmp)
+ [ -f var/log/btmp ] || (: >var/log/btmp && chmod 600 var/log/btmp)
# workaround for bug #7194
# readded due to bug #9465
# please do not remove!
- bin/chmod 1777 var/spool/mail tmp var/tmp var/lock
+ chmod 1777 var/spool/mail tmp var/tmp var/lock
}
# args: <group> [options]
_addgroup() {
- if ! bin/grep -q "^$1:" etc/group; then
- usr/sbin/groupadd ${@} >/dev/null
+ if ! getent group "$1"; then
+ groupadd "$@" >/dev/null
fi
}
# args: <group> [options]
_adduser() {
- if ! bin/grep -q "^$1:" etc/passwd; then
- usr/sbin/useradd ${@} >/dev/null
+ if ! getent passwd "$1"; then
+ useradd "$@" >/dev/null
fi
}
@@ -37,23 +37,23 @@ post_upgrade() {
_addgroup games -g 50
_addgroup uucp -g 14
_addgroup http -g 33
- _adduser http -u 33 -d /srv/http -g http -s /bin/false http
+ _adduser http -u 33 -d /srv/http -g http -s /bin/false
_addgroup scanner -g 96
_addgroup rfkill -g 24
# sync gshadow to group (fixes FS#19869
- if ! bin/grep -q '^rfkill:' etc/gshadow; then
- usr/sbin/grpconv >/dev/null
+ if ! grep -q '^rfkill:' etc/gshadow; then
+ grpconv >/dev/null
fi
- if ! bin/grep -q '^include /etc/ld.so.conf.d/\*.conf$' etc/ld.so.conf; then
- bin/echo 'include /etc/ld.so.conf.d/*.conf' >> etc/ld.so.conf
+ if ! grep -q '^include /etc/ld.so.conf.d/\*.conf$' etc/ld.so.conf; then
+ echo 'include /etc/ld.so.conf.d/*.conf' >> etc/ld.so.conf
fi
# set "Last password change" > 0; otherwise su $user wont work
for user in bin daemon mail ftp http nobody; do
- if LANG=C usr/bin/chage -l ${user} | bin/grep -q 'password must be changed'; then
- usr/bin/chage -d 14871 ${user}
+ if LANG=C chage -l ${user} | grep -q 'password must be changed'; then
+ chage -d 14871 ${user}
fi
done
}